// Copyright Epic Games, Inc. All Rights Reserved.

#include "ExampleSnippetPrjGameMode.h"
#include "ExampleSnippetPrjHUD.h"
#include "ExampleSnippetPrjCharacter.h"
#include "UObject/ConstructorHelpers.h"

AExampleSnippetPrjGameMode::AExampleSnippetPrjGameMode()
	: Super()
{
	// set default pawn class to our Blueprinted character
	static ConstructorHelpers::FClassFinder<APawn> PlayerPawnClassFinder(TEXT("/Game/FirstPersonCPP/Blueprints/FirstPersonCharacter"));
	DefaultPawnClass = PlayerPawnClassFinder.Class;

	// use our custom HUD class
	HUDClass = AExampleSnippetPrjHUD::StaticClass();
}

void AExampleSnippetPrjGameMode::StartPlay()
{
	Super::StartPlay();

#if !UE_BUILD_SHIPPING
	ArraySnippet* ExampleArraySnippet = new ArraySnippet();
	ExampleArraySnippet->PushBack();
	ExampleArraySnippet->PrintContents();
#endif
}
